com.ibm.openpages.api.trigger

## Enum TriggerPositionType

- java.lang.Object
- - java.lang.Enum<TriggerPositionType>
  - - com.ibm.openpages.api.trigger.TriggerPositionType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TriggerPositionType>

      public enum TriggerPositionType
      extends java.lang.Enum<TriggerPositionType>

  Defines the trigger position type enumeration. This defines the position where the rule should be executed.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `POST` POST refers to the GRC trigger taking action after the operation is executed by the system but before the transaction as a whole is committed.
    `PRE` PRE refers to the GRC trigger taking action before the operation is executed by the system.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPosition()` Returns the trigger position type as a String
    `static TriggerPositionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TriggerPositionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PRE

          public static final TriggerPositionType PRE

      PRE refers to the GRC trigger taking action before the operation is executed by the system.

    - #### POST

          public static final TriggerPositionType POST

      POST refers to the GRC trigger taking action after the operation is executed by the system but before the transaction as a whole is committed.

  - ### Method Detail

    - #### values

          public static TriggerPositionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TriggerPositionType c : TriggerPositionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TriggerPositionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getPosition

          public java.lang.String getPosition()

      Returns the trigger position type as a String
      Returns:
        trigger position enum value as a String, either "pre" or "post"

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.